@extends('layouts.app')

@section('htmlheader_title')
	{{ trans('message.home') }}
@endsection

@section('main-content')
<body class="hold-transition welcome-page">

		{{-- SLIDER --}}
		@if ($so->site_slider)
			@include('widgets.slider')
		@endif
		{{-- END SLIDER --}}

		<div class="main">
			<div class="container">
				{{-- SERVICE BOX --}}
				@if ($so->services)
					@include('widgets.servicebox')
				@endif
				{{-- END SERVICE BOX --}}

				{{-- TESTIMONIALS --}}
				@if ($so->block_quotes)
					@include('widgets.blockquote')
				@endif
				{{-- END TESTIMONIALS --}}

				{{-- ACTIVITY --}}
				@if ($so->activities)
					@include('widgets.activity')
				@endif
				{{-- END ACTIVITY --}}

				@if ($so->page_tabs OR $so->testimonials)
				<!-- BEGIN TABS AND TESTIMONIALS -->
				<div class="row mix-block margin-bottom-40">

					{{-- TABS --}}
					@if ($so->page_tabs)
						@include('widgets.tabs')
					@endif
					{{-- END TABS --}}

					{{-- TESTIMONIALS --}}
					@if ($so->testimonials)
						@include('widgets.testimonials')
					@endif
					{{-- END TESTIMONIALS --}}

				</div>
				<!-- END TABS AND TESTIMONIALS -->
				@endif

				{{-- STEPS --}}
				@if ($so->steps)
					@include('widgets.steps')
				@endif
				{{-- END STEPS --}}

				{{-- CLIENTS --}}
				@if ($so->clients)
					@include('widgets.clients')
				@endif
				{{-- END CLIENTS --}}
			</div>
		</div>

		<!-- BEGIN PAGE LEVEL JAVASCRIPTS (REQUIRED ONLY FOR CURRENT PAGE) -->
		@js('/site/js/jquery/plugins/fancybox/source/jquery.fancybox.pack.js','jq-fancybox','jquery')
		@css('/site/js/jquery/plugins/fancybox/source/jquery.fancybox.css')
		@js('/site/js/jquery/plugins/uniform/2.1.0/js/jquery.uniform.min.js','jq-uniform','jquery')
		@css('/site/js/jquery/plugins/uniform/2.1.0/css/uniform.default.css')
		@js('/site/js/layout.js','layout','jquery')
</body>
@endsection

@section('scripts')

	<script type="text/javascript">
        jQuery(document).ready(function() {
            Layout.init();
            <!-- Layout.initTwitter(); -->
            Layout.initUniform();
            Layout.initFixHeaderWithPreHeader();
            Layout.initNavScrolling();
            <!-- ContactUs.init(); -->
        });
	</script>

	<!-- END PAGE LEVEL JAVASCRIPTS -->
@append